/* Copyright (c) 2015-2021 Skyward Experimental Rocketry
 * Authors: Luca Erbetta, Luca Conterio, Alberto Nidasio
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

#pragma once

#include <drivers/adc/InternalADC.h>

namespace Ciuti
{

namespace SensorsConfig
{

// Internal ADC
constexpr float INTERNAL_ADC_VREF = 3.3;
constexpr Boardcore::InternalADC::Channel INTERNAL_ADC_CH_0 =
    Boardcore::InternalADC::Channel::CH0;
constexpr Boardcore::InternalADC::Channel INTERNAL_ADC_CH_1 =
    Boardcore::InternalADC::Channel::CH1;
constexpr unsigned int SAMPLE_PERIOD_INTERNAL_ADC = 200;

// LIS331HH
constexpr unsigned int SAMPLE_PERIOD_LIS331HH = 1000 / 50;
constexpr float Z_AXIS_OFFSET_LIS331HH        = 0.2;

}  // namespace SensorsConfig

}  // namespace Ciuti
